Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationManagementRemoteProfiling

    java.lang.Object
      |
      +--kodo.manage.AbstractManagementConfiguration
            |
            +--kodo.manage.ManagementConfigurationManagement
                  |
                  +--kodo.manage.ManagementConfigurationManagementRemote
                        |
                        +--kodo.manage.ManagementConfigurationManagementRemoteProfiling

All Implemented Interfaces:
  Configurable, ManagementConfiguration

public class ManagementConfigurationManagementRemoteProfiling
extends ManagementConfigurationManagementRemote

Abstract configuration for local profiling.

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`_conf, _plugins`

Constructor Summary
`ManagementConfigurationManagementRemoteProfiling()`

Method Summary
`ManagementConfigurationProfiling` | `getProfConfig()`

Methods inherited from class kodo.manage.ManagementConfigurationManagementRemote
`getRemoteJMXAdaptor, setHost, setJNDIName, setPort`

Methods inherited from class kodo.manage.ManagementConfigurationManagement
`getMBeanPlugins, getMBeanServer, getMBeanServerStrategy, getProfilingAgent, getProfilingHelper, getProfilingInterface, setEnableLogMBean, setEnableRuntimeMBean, setMBeanServerStrategy, setStackStyle`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`endConfiguration, getJMXInterface, setConfiguration, startConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationManagementRemoteProfiling

    public ManagementConfigurationManagementRemoteProfiling()

Method Detail

### getProfConfig

    public ManagementConfigurationProfiling getProfConfig()

  Overrides:
    `getProfConfig` in class `ManagementConfigurationManagement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.